Commit 7927fd18 authored by Lars Clausen's avatar Lars Clausen

0.95-pre1 updates

parent 87378ca7
2006-02-12 Lars Clausen <lars@raeder.dk>
* NEWS:
* dia.spec:
* doc/pl/dia.xml:
* doc/en/dia.xml:
* configure.in:
* config.h.win32: Updates for version 0.95-pre1.
2006-02-12 Hans Breuer <hans@breuer.org>
* app/makefile.msc : build three components dia.exe (console
......
* Quite some bugs fixed, at least :
dia-0.95-pre1: 12-Feb-2006
* Quite some bugs fixed, at least:
http://bugzilla.gnome.org/buglist.cgi?product=dia&target_milestone=0.95&resolution=FIXED
* Read/Write support for nested properties like operations
......
......@@ -77,16 +77,18 @@ When a new version is about to be released:
How to make a tarball
---------------------
1. make sure you have up to date build tools installed on the system.
1. Update the version number in configure.in, config.h.win32,
doc/en/dia.xml, doc/pl/dia.xml.
2. make sure you have up to date build tools installed on the system.
Libtool is an important one, as new releases add support for new
platforms.
2. make sure "make distcheck" runs to completion. With automake >=
3. make sure "make distcheck" runs to completion. With automake >=
1.5, the checks also make sure "make uninstall" removes all files
that got installed.
3. check to see if the tarball builds in normal and --enable-gnome
4. check to see if the tarball builds in normal and --enable-gnome
modes (this task should disapear with the move to 2.0; there is no
reason to have separate dialog and menu code).
4. Upload to ftp.gnome.org. This is basically just scp'ing the
5. Upload to ftp.gnome.org. This is basically just scp'ing the
tarball to widget.gnome.org, then running a command like
"install-module dia-0.90.tar.gz", which will create bz2
tarballs, diffs to the previous version, and signal the ftp mirrors
......
......@@ -18,7 +18,7 @@
#undef LOCALEDIR /* needs to be calculated at runtime */
/* NOT: #define LOCALEDIR "../lib/locale" */
#define VERSION "0.94+cvs"
#define VERSION "0.95-pre1"
/*
* We are linking libxml as DLL with either msvc or mingw, but this
......
dnl Process this -*- autoconf -*- file with autoconf to produce a
dnl configure script.
AC_INIT(dia, 0.94+cvs, http://bugzilla.gnome.org/enter_bug.cgi?product=dia)
AC_INIT(dia, 0.95-pre1, http://bugzilla.gnome.org/enter_bug.cgi?product=dia)
AC_CONFIG_SRCDIR(app/diagram.c)
AM_INIT_AUTOMAKE(AC_PACKAGE_NAME,AC_PACKAGE_VERSION)
......
%define name dia
# This is the full Dia version
%define ver 0.94
%define ver 0.95
Summary: A gtk+ based diagram creation program.
Name: %name
......
......@@ -8,7 +8,7 @@
[
<!ENTITY VERSION "0.94">
<!ENTITY VERSION "0.95-pre1">
<!ENTITY INTRODUCTION SYSTEM "intro.xml">
......
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE Book PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN" "../../dtd/docbookx.dtd"[
<!ENTITY VERSION "0.94">
<!ENTITY VERSION "0.95-pre1">
<!ENTITY INTRODUCTION SYSTEM "intro.xml">
<!ENTITY QUICKSTART SYSTEM "usage-quickstart.xml">
<!ENTITY CANVAS SYSTEM "usage-canvas.xml">
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment